### Constructor

# RB RhythmDBImportJob new

#### Declaration [src]

    RhythmDBImportJob*
    rhythmdb_import_job_new (
      RhythmDB* db,
      RhythmDBEntryType* entry_type,
      RhythmDBEntryType* ignore_type,
      RhythmDBEntryType* error_type
    )

#### Description [src]

Creates a new import job with the specified entry types. Before starting the job, the caller must add one or more paths to import.

#### Parameters

`db`

  Type: `RhythmDB`

  The `RhythmDB` object.

  The data is owned by the caller of the function.

`entry_type`

  Type: `RhythmDBEntryType`

  The `RhythmDBEntryType` to use for normal entries.

  The data is owned by the caller of the function.

`ignore_type`

  Type: `RhythmDBEntryType`

  The `RhythmDBEntryType` to use for ignored files (or NULL to not create ignore entries).

  The data is owned by the caller of the function.

`error_type`

  Type: `RhythmDBEntryType`

  The `RhythmDBEntryType` to use for import error entries (or NULL for none).

  The data is owned by the caller of the function.

#### Return value

Type: `RhythmDBImportJob`

New `RhythmDBImportJob` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.